Subject: bug#32599: 25.2; Feature request: input PUA characters by name

From: Janusz S. Bień <[email-masked]>
Date: Tue, 26 Apr 2022 15:30:06 +0200

On Tue, Apr 26 2022 at 15:09 +02, Lars Ingebrigtsen wrote:
> [email-masked] (Janusz S. Bień) writes:
>
>> You are missing "PUA" in the topic and in the text of my feature
>> request. PUA is Private Use Area. Cf. e.g.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> If I understand correctly, you just want to be able to extend the range
> of characters you get when saying `C-x 8 RET TAB'?

Yes. I've solved it in a quick and dirty way, but it was very cumbersome
and usable only in a specific verion of Emacs:
https://github.com/jsbien/unicode4polish/tree/master/Emacs-MUFI

> That can be done today by just adding elements to the `ucs-names' hash
> table.

Which Emacs version do you mean by "today"?

What do you mean by "just adding"?

What about an example, e.g. U+F159 LATIN ABBREVIATION SIGN SMALL DE?

> Is that not sufficient for your needs?

Perhaps, but I'm not sure yet.

Best regards

Janusz

-- 
             ,   
Janusz S. Bien
emeryt (emeritus)
https://sites.google.com/view/jsbien